#include "UIMLToolTip.h"

#include "Globals.h"

using namespace Framework;

UIMLToolTip::UIMLToolTip()
    : ToolTip(window->zScreen())
{
    view = new UIMLView("", uiFactory);
    addMember(view);
    view->setStyle(UIMLView::Style::Visible);
    addStyle(DrawableBackground::Style::Background
             | DrawableBackground::Style::BAlpha
             | DrawableBackground::Style::Border
             | DrawableBackground::Style::Visible);
    setBackgroundColor(0xA0000000);
    setBorderColor(0xFFFFFFFF);
    setBorderWidth(1);
}

UIMLToolTip::~UIMLToolTip() {}

void UIMLToolTip::setUIML(const char* uiml)
{
    view->setUIML(uiml);
    view->layout();
    view->setSize(view->calculateContentSize());
}